#
# This should be done at initial booting after installation.
#

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

# sybolic links
cd $ROOT/usr/doc/gd1.3
ln -sf ../VFlib-2.22pl10 VFlib

cd /usr/local/lib
ln -sf libgd.so.1.3 libgd.so.1
ln -sf libgd.so.1 libphp.so

/sbin/ldconfig

cd $ROOT/

# Add to Apache document index.
if [ -f $ROOT/usr/local/apache/htdocs/contents.list ]; then
  if ! fgrep "GD-1.3" $ROOT/usr/local/apache/htdocs/contents.list 1> /dev/null 2>&1; then
    cat >> $ROOT/usr/local/apache/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> GD-1.3
    ( <A
	HREF="http://www.boutell.com/gd/"
      >http://www.boutell.com/gd/</A>
    )<BR>
     (A Graphics Library for Fast GIF Creation)<BR>
     <A
      HREF="gd1.3/"
     >documentation</A>
    </P>
EOL
  fi
  ln -sf $ROOT/usr/doc/gd1.3 $ROOT/usr/local/apache/htdocs/gd1.3
else
  awk '/Add to Apache/,EOF' $ROOT/install/doinst.sh >> /tmp/add_apache.sh
fi
#
